MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000998XdebugFeature/Change requestpublic2013-11-05 13:082016-11-12 16:53
Reporterthomas 
Assigned Toderick 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSUbuntuOS Version13.04
Product Version2.2.3 
Target VersionFixed in Version2.5.0RC1 
Summary0000998: IPv6 support
DescriptionXDebug currently doesn't have support for connecting back to IPv6 addresses. When both the server and client has IPv6 addresses the Connection back from the server to the client fails because the implementation is IPv4 only.
Steps To ReproduceConfigure the server and client to use IPv6 addresses and try to debug. Currently the IDE probably doesn't listen on IPv6 on the client, so this can be a problem. In this case a custom application listening on IPv6 and the right port on the client can prove connectivity.
Additional InformationI currently have a working implementation that supports IPv4 and IPv6, but still need to write some test for this and also run the existing tests to verify that nothing else has broken.
TagsNo tags attached.
Operating System
PHP Version5.4.9
Attached Files

- Relationships

-  Notes
(0003588)
derick (administrator)
2016-04-30 13:15

This is fixed for Xdebug 2.5.x.

- Issue History
Date Modified Username Field Change
2013-11-05 13:08 thomas New Issue
2016-04-30 13:15 derick Note Added: 0003588
2016-04-30 13:15 derick Status new => closed
2016-04-30 13:15 derick Assigned To => derick
2016-04-30 13:15 derick Resolution open => fixed
2016-04-30 13:15 derick Fixed in Version => 2.5.0dev
2016-11-12 16:53 derick Fixed in Version 2.5.0dev => 2.5.0RC1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker